util.h File Reference
`#include <corosync/corotypes.h>`
Include dependency graph for lib/util.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | IPC_REQUEST_SIZE 8192*128
#define | IPC_RESPONSE_SIZE 8192*128
#define | IPC_DISPATCH_SIZE 8192*128

## Functions

cs_error_t | hdb_error_to_cs (int res)

## Macro Definition Documentation

## IPC_DISPATCH_SIZE

#define IPC_DISPATCH_SIZE 8192*128

Definition at line 51 of file lib/util.h.

Referenced by cmap_dispatch(), corosync_cfg_dispatch(), cpg_dispatch(), quorum_dispatch(), and votequorum_dispatch().

## IPC_REQUEST_SIZE

#define IPC_REQUEST_SIZE 8192*128

Definition at line 49 of file lib/util.h.

Referenced by cmap_initialize(), corosync_cfg_initialize(), cpg_model_initialize(), cpg_zcb_mcast_joined(), quorum_model_initialize(), and votequorum_initialize().

## IPC_RESPONSE_SIZE

#define IPC_RESPONSE_SIZE 8192*128

Definition at line 50 of file lib/util.h.

Referenced by corosync_cfg_get_node_addrs().

## Function Documentation

## hdb_error_to_cs()

cs_error_t hdb_error_to_cs | ( | int | res | ) |

Referenced by cmap_context_get(), cmap_context_set(), cmap_delete(), cmap_dispatch(), cmap_fd_get(), cmap_finalize(), cmap_get(), cmap_initialize(), cmap_initialize_map(), cmap_iter_finalize(), cmap_iter_init(), cmap_iter_next(), cmap_set(), cmap_track_add(), cmap_track_delete(), corosync_cfg_dispatch(), corosync_cfg_fd_get(), corosync_cfg_finalize(), corosync_cfg_get_node_addrs(), corosync_cfg_initialize(), corosync_cfg_kill_node(), corosync_cfg_local_get(), corosync_cfg_node_status_get(), corosync_cfg_reload_config(), corosync_cfg_reopen_log_files(), corosync_cfg_replyto_shutdown(), corosync_cfg_ring_status_get(), corosync_cfg_trackstart(), corosync_cfg_trackstop(), corosync_cfg_try_shutdown(), cpg_context_get(), cpg_context_set(), cpg_dispatch(), cpg_fd_get(), cpg_finalize(), cpg_flow_control_state_get(), cpg_iteration_finalize(), cpg_iteration_initialize(), cpg_iteration_next(), cpg_join(), cpg_leave(), cpg_local_get(), cpg_max_atomic_msgsize_get(), cpg_mcast_joined(), cpg_membership_get(), cpg_model_initialize(), cpg_zcb_alloc(), cpg_zcb_free(), cpg_zcb_mcast_joined(), quorum_context_get(), quorum_context_set(), quorum_dispatch(), quorum_fd_get(), quorum_finalize(), quorum_getquorate(), quorum_model_initialize(), quorum_trackstart(), quorum_trackstop(), votequorum_context_get(), votequorum_context_set(), votequorum_dispatch(), votequorum_fd_get(), votequorum_finalize(), votequorum_getinfo(), votequorum_initialize(), votequorum_qdevice_master_wins(), votequorum_qdevice_poll(), votequorum_qdevice_register(), votequorum_qdevice_unregister(), votequorum_qdevice_update(), votequorum_setexpected(), votequorum_setvotes(), votequorum_trackstart(), and votequorum_trackstop().